Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.remoting.jaxws
Class LocalJaxWsServiceFactory

    java.lang.Object
      org.springframework.remoting.jaxws.LocalJaxWsServiceFactory

Direct Known Subclasses:
  JaxWsPortClientInterceptor, LocalJaxWsServiceFactoryBean

    public class LocalJaxWsServiceFactory

extends java.lang.Object

Factory for locally defined JAX-WS `Service` references. Uses the JAX-WS `Service.create(java.net.URL, javax.xml.namespace.QName)` factory API underneath.

Serves as base class for `LocalJaxWsServiceFactoryBean` as well as `JaxWsPortClientInterceptor` and `JaxWsPortProxyFactoryBean`.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `Service`, `LocalJaxWsServiceFactoryBean`, `JaxWsPortClientInterceptor`, `JaxWsPortProxyFactoryBean`

Constructor Summary
`LocalJaxWsServiceFactory()`

Method Summary
`javax.xml.ws.Service` | `createJaxWsService()` Create a JAX-WS Service according to the parameters of this factory.
`java.lang.String` | `getNamespaceUri()` Return the namespace URI of the service.
`protected javax.xml.namespace.QName` | `getQName(java.lang.String name)` Return a QName for the given name, relative to the namespace URI of this factory, if given.
`java.lang.String` | `getServiceName()` Return the name of the service.
`java.net.URL` | `getWsdlDocumentUrl()` Return the URL of the WSDL document that describes the service.
`void` | `setExecutor(java.util.concurrent.Executor executor)` Set the JDK concurrent executor to use for asynchronous executions that require callbacks.
`void` | `setHandlerResolver(javax.xml.ws.handler.HandlerResolver handlerResolver)` Set the JAX-WS HandlerResolver to use for all proxies and dispatchers created through this factory.
`void` | `setNamespaceUri(java.lang.String namespaceUri)` Set the namespace URI of the service.
`void` | `setServiceName(java.lang.String serviceName)` Set the name of the service to look up.
`void` | `setWsdlDocumentUrl(java.net.URL wsdlDocumentUrl)` Set the URL of the WSDL document that describes the service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalJaxWsServiceFactory

    public LocalJaxWsServiceFactory()

Method Detail

### setWsdlDocumentUrl

    public void setWsdlDocumentUrl(java.net.URL wsdlDocumentUrl)

  Set the URL of the WSDL document that describes the service.

### getWsdlDocumentUrl

    public java.net.URL getWsdlDocumentUrl()

  Return the URL of the WSDL document that describes the service.

### setNamespaceUri

    public void setNamespaceUri(java.lang.String namespaceUri)

  Set the namespace URI of the service. Corresponds to the WSDL "targetNamespace".

### getNamespaceUri

    public java.lang.String getNamespaceUri()

  Return the namespace URI of the service.

### setServiceName

    public void setServiceName(java.lang.String serviceName)

  Set the name of the service to look up. Corresponds to the "wsdl:service" name.

### getServiceName

    public java.lang.String getServiceName()

  Return the name of the service.

### setExecutor

    public void setExecutor(java.util.concurrent.Executor executor)

  Set the JDK concurrent executor to use for asynchronous executions that require callbacks.

  See Also:
    `Service.setExecutor(java.util.concurrent.Executor)`

### setHandlerResolver

    public void setHandlerResolver(javax.xml.ws.handler.HandlerResolver handlerResolver)

  Set the JAX-WS HandlerResolver to use for all proxies and dispatchers created through this factory.

  See Also:
    `Service.setHandlerResolver(javax.xml.ws.handler.HandlerResolver)`

### createJaxWsService

    public javax.xml.ws.Service createJaxWsService()

  Create a JAX-WS Service according to the parameters of this factory.

  See Also:
    `setServiceName(java.lang.String)`, `setWsdlDocumentUrl(java.net.URL)`

### getQName

    protected javax.xml.namespace.QName getQName(java.lang.String name)

  Return a QName for the given name, relative to the namespace URI of this factory, if given.

  See Also:
    `setNamespaceUri(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD